# Get Session Result

<mark style="color:green;">`GET`</mark> `/api/session/result/:request_id`

This endpoint retrieves the session result associated with a specific `request_id`. The session result contains detailed information about the verification process for a user, including personal details, status, and additional metadata.

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "fn": "John",
    "ln": "Doe",
    "addr": "",
    "city": "",
    "state": "",
    "zip": "",
    "dob": "19900101",
    "email": "johndoe@example.com",
    "phone": "123-456-7890",
    "reference": "",
    "status": "PASS",
    "request_id": "19fe3b9e-384e-41d1-bded-8de9ef3abacb",
    "additionalData": {
        "customKey": "customValue"
    },
    "dcams_plus": {
        "document_data": {},
        "output": {
            "vpin": {}
        },
        "api_processing_error": false,
        "service": "PhoneMatch5.0.Smart2FA.SMS",
        "confirmation": 180603431,
        "action": "PASS",
        "detail": "ALL CHECKS PASSED",
        "issues": [
            "OUT-OF-BAND SUCCESSFUL"
        ]
    },
    "storage": {
        "success": null
    },
    "journey": {
        "stops": [
            {
                "timestamp": "2024-08-19 20:56:25.223174",
                "type": "NEW REGISTRATION",
                "source": "",
                "status": "",
                "action": "",
                "detail": ""
            },
            {
                "timestamp": "2024-08-19 20:56:41.280685",
                "type": "Data Service",
                "source": "PhoneMatch5.0.Smart2FA.SMS",
                "status": "PENDING",
                "action": "PENDING",
                "detail": "MORE INFORMATION IS REQUIRED"
            },
            {
                "timestamp": "2024-08-19 20:56:57.448256",
                "type": "Data Service",
                "source": "PhoneMatch5.0.Smart2FA.SMS",
                "status": "PASS",
                "action": "PASS",
                "detail": "ALL CHECKS PASSED"
            }
        ],
        "duration": "00h 00m 32s"
    },
    "documents": null
}

```

{% endtab %}

{% tab title="202" %}

```json
{
    "message": "IN PROGRESS",
    "detail": "Session result not found, but user started the process."
}
```

{% endtab %}

{% tab title="404" %}

<pre class="language-json"><code class="lang-json"><strong>{
</strong>    "message": "NOT FOUND",
    "detail": "Session result not found, user did not start the process or your request_id is invalid."
}
</code></pre>

{% endtab %}

{% tab title="500" %}

```json
{
    "message": "INTERNAL SERVER ERROR",
    "detail": "An unexpected error occurred while processing your request."
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.veratad.com/vx/api-methods/get-session-result.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
